# eric3.QScintilla.GotoDialog

Module implementing the Goto dialog.

### Classes

GotoDialog | Class implementing the Goto dialog.

### Functions

None

## GotoDialog

Class implementing the Goto dialog.

### Derived from

GotoForm

### Methods

GotoDialog | Constructor
getLinenumber | Public method to retrieve the linenumber.
selectAll | Public method to select all digits.

### GotoDialog (Constructor)

GotoDialog(parent, name=None, modal=0, fl=0)

Constructor

parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag indicating a modal dialog
fl
  window flags

### GotoDialog.getLinenumber

getLinenumber()

Public method to retrieve the linenumber.

Returns:
  line number (int)

### GotoDialog.selectAll

selectAll()

Public method to select all digits.

Up